DADA2 Error (return code 1)

Hi,

I know that this question is similar to some other postings, however, I have tried using the suggestions in those posting to resolve my error and have been unable to do so. I received the following error while trying to run DADA2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

The log file states the following:

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpl4w_6vh6/forward /tmp/tmpl4w_6vh6/reverse /tmp/tmpl4w_6vh6/output.tsv.biom /tmp/tmpl4w_6vh6/filt_f /tmp/tmpl
4w_6vh6/filt_r 221 233 19 20 2.0 2 consensus 1.0 20 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering Error in filterAndTrim(unfiltsF, filtsF, unfiltsR, filtsR, truncLen = c(truncLenF, :
    These are the errors (up to 5) encountered in individual cores…
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 17737, 17732.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 15024, 15022.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 17737, 17732.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 15024, 15022.
    Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 17737, 17732.
    Execution halted
    Traceback (most recent call last):
    File “/s/angus/index/common/tools/miniconda3/envs/qiime2-2018.2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 179, in denoise_paire
    d
    run_commands([cmd])
    File “/s/angus/index/common/tools/miniconda3/envs/qiime2-2018.2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 35, in run_commands
    subprocess.run(cmd, check=True)
    File “/s/angus/index/common/tools/miniconda3/envs/qiime2-2018.2/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpl4w_6vh6/forward’, ‘/tmp/tmpl4w_6vh6/reverse’, ‘/tmp/tmpl4w_6vh6/output.
    tsv.biom’, ‘/tmp/tmpl4w_6vh6/filt_f’, ‘/tmp/tmpl4w_6vh6/filt_r’, ‘221’, ‘233’, ‘19’, ‘20’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘20’, ‘1000000’]’ re
    turned non-zero exit status 1
    During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/s/angus/index/common/tools/miniconda3/envs/qiime2-2018.2/lib/python3.5/site-packages/q2cli/commands.py”, line 246, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/s/angus/index/common/tools/miniconda3/envs/qiime2-2018.2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 228, in bound_callabl
e
output_types, provenance)
File “/s/angus/index/common/tools/miniconda3/envs/qiime2-2018.2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 363, in callable_exe
cutor

output_views = self._callable(**view_args)
File “/s/angus/index/common/tools/miniconda3/envs/qiime2-2018.2/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 194, in denoise_paire
d
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

I have tried re-importing. I have double checked and even re-created the manifest file. I have also validated the demux file.

Any help would be greatly appreciated!

Thanks,
Carla

Hi @cjweiss,

Thanks for posting!

Apparently you have an unequal number of sequences in your forward and reverse sequence files. See this thread for a similar error and some suggestions for diagnosing the error (including, near the bottom of the thread, a way to find the problem sequences):

Thanks for trying these, but alas that’s not the issue — you either imported the wrong files, or these files just have unequal seq numbers for some other reason (e.g., something was trimmed or corrupted). So these files are fine and will validate — they just don’t match in the way that they need to (i.e., the forward read is missing its reverse pair :cry: )

I hope that helps! Let us know if you are able to identify the problem!

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.